<?php
/*################################################
@author: Code Tecnologia
@date: 29/03/2019
@version: 1.00
@purpose: Classe responsavel por devolver as informacoes da lista de clientes indicados

STATUS:
1 - Negociacao
2 - Nao aceitam
3 - Contratados
4 - Indicados
Resposta esperada:
{ 
"erro": false,
"mensagem":"",
"indicados":[
    {
           "id":0,
            "nome":"Jo�o",
            "ramo":"Padaria",
            "email":"joao@email.com.br",
            "telefone":"(11)38888-8888",
            "status":1
     },
   {
            "id":1,
            "nome":"Maria",
             "ramo":"Loja de roupas",
             "email":"maria@email.com.br",
            "telefone":"(11)3423-8382",
            "status":1
     },
    {
             "id":2,
            "nome":"Jos�",
             "ramo":"Lanchonete",
             "email":"jose@email.com.br",
            "telefone":"(11)3423-8382",
             "status":2
     },
    {
             "id":2,
            "nome":"FABIO",
             "ramo":"EMPRESARIO",
             "email":"rubem@email.com.br",
            "telefone":"(11)3423-8382",
            "status":2
     },
    {
             "id":2,
            "nome":"Silva",
             "ramo":"teste",
             "email":"teste@email.com.br",
            "telefone":"(11)3423-8382",
            "status":3
     }
]
}
*/
  
################################################*/
include_once("connect.php");

//Acertando UTF8
	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');


//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'GET') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato transmitido nao e um GET');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}else{

//Verificando se o Content-type � 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem est� incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/

//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
    $idusuario = isset($_SERVER["HTTP_IDUSUARIO"]) ? trim($_SERVER["HTTP_IDUSUARIO"]) : '';//pegando o token do header 
    //$token_decoded = base64_decode($token);

/*Checando dados obrigat�rios*/  
    if(empty($idusuario)){
      $status = array(
				'erro' => 'true',
				'mensagem' => 'Usuario nao informado');
      //$json = json_encode($status);
      //enviarCurl($url,$json);
	  exibir_json($status);
      
    }else{
        //Query Lista de indicados pelo parceiro
        /*
        $consulta_listaIndicados = "   select  id
											 , ds_razao_social
											 , ds_ramo_atividade
											 , ds_email
											 , ds_telefone  
											 , id_status
									     from clientes
                                        where id_contabilidade = $idusuario 
                                          and st_pago_contabilidade = 0"; 
     
       */
       
       $consulta_listaIndicados = " select clientes.id
											 , clientes.ds_razao_social
											 , clientes.ds_ramo_atividade
											 , clientes.ds_email
											 , clientes.ds_telefone
											 , status_clientes.id as id_status
											 , status_clientes.ds_status
											 , status_clientes_mobile.id as id_mobile
											 , status_clientes_mobile.ds_status as status_mobile
											 , clientes.id_status_reportado
                                             , reportado.ds_status as ds_reportado
											 , rmobile.id as id_repo_mobile
											 , rmobile.ds_status as ds_repo_mobile
                                             , contabilidades.vl_premio
									from clientes inner join status_clientes
										on clientes.id_status = status_clientes.id
														 inner join (select id, ds_status, id_status_mobile from status_clientes) reportado
										on clientes.id_status_reportado = reportado.id
														 inner join status_clientes_mobile
										on status_clientes.id_status_mobile = status_clientes_mobile.id
														 inner join (select id, ds_status from status_clientes_mobile) rmobile
										on reportado.id_status_mobile = rmobile.id
														 inner join contabilidades
									    on clientes.id_contabilidade = contabilidades.id
                                        where id_contabilidade = $idusuario 
                                          and st_pago_contabilidade = 0
                                          and clientes.st_ativo=1"; 
                                          
        //Array de indicados a serem listados no json
		$indicados = array(
                'id' => '',
                'nome' => '',
                'ramo' => '',
                'email' => '',
                'telefone' => '',
                'status' => ''
            );             
			
        $result = mysqli_query($conexao, $consulta_listaIndicados) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $indicados['id'] 			= $row['id'];
                $indicados['nome'] 			= $row['ds_razao_social'];
                $indicados['ramo'] 			= $row['ds_ramo_atividade'];
                $indicados['email'] 		= $row['ds_email'];
                $indicados['telefone'] 		= $row['ds_telefone'];
                $indicados['status']		= $row['id_mobile'];
				
				$indicados_list[] = $indicados;
			}
                $status = array( 'erro' => 'false'
    				    ,'mensagem' => ''
    				    ,'indicados' => $indicados_list 
    				    );
                //$json = json_encode($status); //, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
				
				
				//Preparando o token
				/*
				$token = base64_encode($usuario['id']);
				header("token: $token");
				*/
				
            	exibir_json($status);
                exit(0);
			//}   
		}    
	}        
}
?>